using System;
using System.Collections.Generic;
using System.Text;
using System.Transactions;
using System.ServiceModel;

namespace WCFClient
{
    class Program
    {
        static void Main(string[] args)
        {
            ServiceProxy.ServiceContractClient proxy = new WCFClient.ServiceProxy.ServiceContractClient("WSHttpBinding_IServiceContract2");
            
            Console.WriteLine(proxy.ShortOperation(4, 2));
            using (TransactionScope ts = new TransactionScope(TransactionScopeOption.RequiresNew))
            {
                Transaction tx = Transaction.Current;
                Console.WriteLine("1) LocalID: {0},DistID: {1}, Time: {2}",
                            tx.TransactionInformation.LocalIdentifier,
                            tx.TransactionInformation.DistributedIdentifier,
                            tx.TransactionInformation.CreationTime);
                try
                {
                    Console.WriteLine(proxy.LongOperation("Matevz", "Gacnik"));
                }
                catch (FaultException<ServiceProxy.TooLongOperationException> ex)
                {
                    Console.WriteLine(ex.Detail.Description);
                }
                catch (FaultException ex)
                {
                    Console.WriteLine(ex.ToString());
                }
                ts.Complete();
            }
        }
    }
}
